<?php 

include "config/init.php";

if(isset($_GET['id']) && !empty($_GET['id'])){
    
    $idLoan = $_GET['id'];
    
    $buscaLoan = $database->query("SELECT * FROM pagamentos WHERE id_pagamento = '$idLoan' ORDER BY ID DESC LIMIT 1");
    $dados = $database->fetch_assoc($buscaLoan);
    
    $saldo = $dados['saldo'];
     $nome = $dados['nome_cliente'];
     
     if($saldo=='0'){
         $actualiza = $database->query("UPDATE creditos SET status='finalizado' WHERE id='$idLoan'");
         echo "<script>alert('$nome finalizado com successo')</script>";
    echo "<script>window.open('finalizados.php','_self')</script>";
     }elseif($saldo ==""){
         echo "<script>alert('Ainda nao tem pagamantos lancados')</script>";
    echo "<script>window.open('processamentos.php?id=$idLoan&&cliente=$nome','_self')</script>";
     }else{
         
         echo "<script>alert('$nome ainda tem $saldo por pagar')</script>";
    echo "<script>window.open('processamentos.php?id=$idLoan&&cliente=$nome','_self')</script>";
     }
    
    
}
?>